/*                                               *****************************************************************
//                                               * FILE:        states.c                                         *
//                                               * written by:  Alexander Hentschel                              *
//                                               *              Humboldt University Berlin                       *
//                                               *              Alexander.Hentschel@physik.hu-berlin.de          *
//                                               *              Ontober 2006                                     *
//                                               ****************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
#include <limits.h>

#include "define_states.def"
#include "generate_states.h"
#include "recycleInput.h"

#define MaxOpLength 50
#define MaxSizeOfMathematiceFile_inGB 2
#define ShellScriptName "RunMatrixCalculation"
#ifdef MathematicaFile
  #ifndef MatrixFile
     #define MatrixFile "matrix_calculation.load"
  #endif
#endif

void writeStateToFile(int* State, int NumberOfOperators, int NumberOfModes, FILE *OutputFile){ }
void writeSector(int* Sector, int NumberOfOperators, FILE *OutputFile){}

int main() {
 printf("\nATTENTION: please change the number of states in %s to the appropriate number! \n",FormFileII);
 generate_Matrix_calculation(StatesFile,MatrixFile);
 printf("\n");
 return(0);
} /* end of main */

