@*                                               *****************************************************************
@*                                               * FILE:        Hamiltonian.h		                         *
@*                                               * written by:  Alexander Hentschel                              *
@*                                               *              Humboldt University Berlin                       *
@*                                               *              Alexander.Hentschel@physik.hu-berlin.de          *
@*                                               *              September 2006                                   *
@*                                               *****************************************************************


@*****************************************************************************************************************
@*   This file contains global definitions used in Form module compute_Hamiltonian.frm as well as in 		 *
@*   Form module calculate Matrix.frm.										 *
@* ------------------------------------------------------------------------------------------------------------- *
@*****************************************************************************************************************


@*********************************************  global definitions  **********************************************
  #define HamiltonianExportFile "effective_Hamiltonian.def"
  
  #define LengthOfOperatorWord "4"
  CFunction Omega, InvSqrtOmega,SqrtOmega, fFunction, gFunction;
  CFunction Sqrt, DiscreteDelta, DeltaSum;
  Symbols   Lamdatilde, PPlus, Kappa, KomplexI;
  Symbols   ModeIndex1,...,ModeIndex`LengthOfOperatorWord';
@*****************************************  end of global Definitions ********************************************
